Subject: Re: bug#34492: Acknowledgement (rx: ASCII-raw byte ranges comprise all of Unicode)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Feb 2019 12:14:57 +0200

> From: Mattias Engdegård <[email-masked]>
> Date: Sat, 16 Feb 2019 09:08:11 +0100
> Cc: [email-masked]
> 
> 16 feb. 2019 kl. 08.20 skrev Eli Zaretskii <[email-masked]>:
> > 
> > Thanks, this LGTM, but I think this should be in NEWS.  It's arguably
> > a bug, but only arguably, and it changes user-visible behavior.
> 
> I'll be happy to write a NEWS item, but for what? The change of bug #33205, or this change, which is not visible unless the other change is already applied (and it hasn't made it into a release yet)?

I mean both.

> If you mean the #33205 fix, it might result in something like the following:
> 
> ** `rx' now handles raw bytes in character alternatives correctly when
> given in a string.  Previously, `(any "\x80-\xff")' would match characters
> U+0080...U+00FF.  Now the expression matches raw bytes in the 128...255 range,
> as expected.
> 
> Is that what you had in mind?

Yes.

> If so, in what subsection would it go?

Either make a new section for rx under "Changes in Specialized Modes
and Packages", or put it under "Incompatible Lisp Changes".

Thanks.